> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/apis/apis/comms-gatekeeper/webhooks.md).

# Webhooks

## LiveKit webhook

> Webhook endpoint for LiveKit events.\
> This endpoint receives events from LiveKit when participants join/leave rooms,\
> streaming starts/stops, etc.\
> No authentication required - this is a webhook endpoint.<br>

```json
{"openapi":"3.0.0","info":{"title":"Comms Gatekeeper API","version":"1.0.0"},"servers":[{"url":"https://comms-gatekeeper.decentraland.org","description":"Production server"},{"url":"https://comms-gatekeeper.decentraland.zone","description":"Development server"}],"security":[],"paths":{"/livekit-webhook":{"post":{"operationId":"livekitWebhook","summary":"LiveKit webhook","description":"Webhook endpoint for LiveKit events.\nThis endpoint receives events from LiveKit when participants join/leave rooms,\nstreaming starts/stops, etc.\nNo authentication required - this is a webhook endpoint.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"LiveKit webhook payload (structure depends on webhook type)","additionalProperties":true}}}},"responses":{"200":{"description":"Webhook processed successfully"},"400":{"description":"Invalid webhook payload","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"string","description":"Error message describing what went wrong"}}}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"string","description":"Error message describing what went wrong"}}}}}}},"tags":["Webhooks"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decentraland.org/apis/apis/comms-gatekeeper/webhooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
